routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PrincipalController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [PrincipalController::class, 'principalBaterias'])->name('/'); 

Route::get('/principal', [PrincipalController::class, 'principal']);

Route::get('/pagina1', [PrincipalController::class,  'pagina1']);

Route::get('/pagina2', [PrincipalController::class, 'pagina2']);

Route::get('/teoria', [PrincipalController::class, 'teoria'])->name('teoria'); 

Route::get('/procedimento', [PrincipalController::class, 'procedimento'])->name('procedimento'); 

Route::get('/medicoes', [PrincipalController::class, 'medicoes'])->name('medicoes'); 

Route::get('/conclusoes', [PrincipalController::class, 'conclusoes'])->name('conclusoes'); 

app/Models/Medicoes.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Medicoes extends Model
{
    use HasFactory;
    public function getResistenciaInternaAttribute(){
        return $this->resistencia_carga * ($this->tensao_sem_carga/ $this->tensao_com_carga -1);
    }
}

app/Models/User.php
<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
        'password' => 'hashed',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, ValidatesRequests;
}

app/Http/Controllers/PrincipalController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Medicoes;

class PrincipalController extends Controller
{
    public function principal(){
        return view('principal');
    }

    public function principalBaterias(){
        return view('principalBaterias');
    }

    public function pagina1(){
        return view('pagina1');
    }
    
    public function pagina2(){
        return view('pagina2');
    }
    public function teoria(){
        return view('teoria');
    }
    public function procedimento(){
        return view('procedimento');
    }
    public function medicoes(){
        $medicoes = Medicoes::all();
        return view('medicoes', compact('medicoes'));
    }
    public function conclusoes(){
        return view('conclusoes');
    }
}

resources/views/conclusoes.blade.php
@extends('templates.base')

@section('conteudo')

    <main>
        <h1>Conclusões</h1>
        <hr>
        <h2>Descrição do conclusões:</h2>
        
        <p>
            Com esse trabalho podemos concluir que:
        </p>
        <p>
            Que as baterias com resistencia obtiveram o valor mais baixo do que as baterias sem resistencia.
        </p>
    </main>
    @endsection
@section('rodape')
<h4>Rodapé Conclusões</h4>
@endsection

resources/views/medicoes.blade.php
@extends('templates.base')

@section('conteudo')
    <main>
        <h1>Medições</h1>
        <hr>
        <h2>Descrição do medições:</h2>
        
        <table id="tbDados" class="table table-striped table-bordered"> 
            <thead>
                <tr>
                    <th>Pilha/Bateria</th>
                    <th>Tensão Nominal(v)</th>
                    <th>Capacidade da corrente (mA.h)</th>
                    <th>Tensão sem carga(V)</th>
                    <th>Tensão com carga(V)</th>
                    <th>Resistencia de carga(ohm)</th>
                    <th>Resistencia interna(ohm)</th>

                </tr>
            </thead>
            <tbody>
                @foreach ($medicoes as $medicao)
                <tr>
                    <td>{{$medicao->pilha_bateria}}</td>
                    <td>{{number_format($medicao->tensao_nominal,1,'.','')}}</td>
                    <td>{{$medicao->capacidade_corrente}}</td>
                    <td>{{$medicao->tensao_sem_carga}}</td>
                    <td>{{$medicao->tensao_com_carga}}</td>
                    <td>{{$medicao->resistencia_carga}}</td>
                    <td>{{number_format($medicao->resistencia_interna,3,'.','')}}</td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </main>
    
    @endsection

@section('rodape')
<h4>Rodapé Medições</h4>
@endsection

resources/views/pagina1.blade.php
@extends('templates.base')

@section('conteudo')
    <h1>Página 1</h1>
    <hr>
@endsection

@section('rodape')
<h4>Rodapé da página 1</h4>
@endsection

resources/views/pagina2.blade.php
@extends('templates.base')

@section('conteudo')
    <h1>Página 2</h1>
    <hr>
@endsection

@section('rodape')
<h4>Rodapé da página 2</h4>
@endsection

resources/views/principal.blade.php
@extends('templates.base')

@section('conteudo')
    <h1>Página Principal</h1>
    <hr>
@endsection

@section('rodape')

<h4>Rodapé da página principal</h4>
@endsection

resources/views/principalBaterias.blade.php
@extends('templates.base')

@section('conteudo')
    <main>
        <h1>Turma: 2D2 - Grupo 5</h1>
        <h2>Participantes:</h2>
        <hr>
        <table class="table table-striped table-bordered">
            <tr>
                <th>Matricula</th>
                <th>Nome</th>
                <th>Função</th>
            </tr>
            <tr>
                <td>0073607</td>
                <td>Bruno Andrade</td>
                <td>Dev Java, HTML e Css</td>
            </tr>
            <tr>
                <td>0072536</td>
                <td>Gabriel Riquelme</td>
                <td>Gerente</td>
            </tr>
            <tr>
                <td>0072534</td>
                <td>Victor Simão</td>
                <td>Medições e desenvolvedor Java</td>
            </tr>
            <tr>
                <td>0072560</td>
                <td>Vinicius Pedrosa</td>
                <td>Medições e desenvolvedor Java</td>
            </tr>
        </table>
        <img class="grupo" src="imgs/grupo.jpeg" alt="Participantes do grupo">
    </main>
    @endsection

@section('rodape')
<h4>Rodapé Principal Baterias</h4>
@endsection

resources/views/procedimento.blade.php
@extends('templates.base')

@section('conteudo')
    <main>
        <h1>Procedimento</h1>
        <hr>
        <h2>Descrição do procedimento:</h2>
        
        <p>
            Utilizamos um multimetro de duas formas diferentes:
            Uma para medir a voltagem das baterias sem resistencia, e uma com resistencia
        </p>

    </main>
    @endsection

@section('rodape')
<h4>Rodapé Procedimento</h4>
@endsection

resources/views/templates/base.blade.php
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=
    , initial-scale=1.0">
    <title>Baterias Laravel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-4bw+/aepP/YC94hEpVNVgiZdgIC5+VKNBQNGCHeKRQN+PtmoHDEXuppvnDJzQIu9" crossorigin="anonymous">
    <link rel="stylesheet" href="{{asset('css/estilos.css')}}">
</head>

<body>
    <div class="container-md">
        <h1>Baterias Láravel</h1>
        <hr>
        <nav>
            <ul>
                <li><a href="{{ route('/')}}">Início</a></Li>
                <li><a href="{{ route('teoria') }}">Teoria</a></Li>
                <li><a href="{{ route('procedimento')}}">Procedimento</a></Li>
                <li><a href="{{ route('medicoes')}}">Medições</a></Li>
                <li><a href="{{ route('conclusoes')}}">Conclusões</a></Li>
            <ul>
        </nav>

        @yield("conteudo")
        <hr>
        @yield("rodape")
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-HwwvtgBNo3bZJJLYd8oVXjrBZt8cqVSpeBNS5n7C8IVInixGAoxmnlMuBnhbgrkm" crossorigin="anonymous"></script>
</body>
</html>

resources/views/teoria.blade.php
@extends('templates.base')

@section('conteudo')
    <main>
        <h1>Teoria</h1>
        <hr>
        <h2>Descrição das pilhas:</h2>
        
        <p>
            As baterias são conjuntos de pilhas ligadas em série, ou seja, são dispositivos eletroquímicos nos quais ocorrem reações de oxidorredução, produzindo uma corrente elétrica. Podem ser chamadas ainda de pilhas secundárias, baterias secundárias ou acumuladores.
        </p>

        <p>
            Aqui embaixo podemos ver alguns modelos de baterias usadas no dia a dia:
        </p>

        <img class="bateria" src="../imgs/bateria9v.jpeg" alt="bateria">
        <img class="bateria" src="../imgs/bateria1.jpeg" alt="bateria">
        <img class="bateria" src="../imgs/bateria2.jpeg" alt="bateria">
        <img class="bateria" src="../imgs/bateria3.jpeg" alt="bateria">

        <p>

        </p>
        <p>
            Uma curiosidade: Você sabia que as primeiras baterias conhecidas da história foram criadas há mais de 2.000 anos? Conhecidas como as "Pilhas de Bagdá", elas foram descobertas em 1938, perto de Bagdá, no Iraque. Essas pilhas, datadas do século I a.C., consistiam em vasos de argila com um eletrodo de cobre no interior e um eletrodo de ferro no exterior. Entre os eletrodos, havia um separador de argila e um líquido eletrólito, provavelmente uma solução ácida ou alcalina. Embora não tenha sido comprovado que essas pilhas foram usadas para fins práticos, a ideia de que as pessoas da antiguidade já haviam descoberto e experimentado com tecnologia de baterias é surpreendente.
        </p>
        
    </main>
    @endsection

@section('rodape')
<h4>Rodapé Teoria</h4>
@endsection